<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
	xmlns:app="http://schemas.android.com/apk/res-auto"
	xmlns:tools="http://schemas.android.com/tools"
	android:layout_width="wrap_content"
	android:layout_height="wrap_content"
	android:layout_gravity="center"
	android:background="@android:color/transparent"
	android:elevation="4dp">

	<View
		android:layout_width="256dp"
		android:layout_height="120dp"
		android:background="@drawable/rectangle_rounded_dark"
		app:layout_constraintBottom_toBottomOf="parent"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toTopOf="parent" />

	<androidx.core.widget.ContentLoadingProgressBar
		android:id="@+id/progressBar"
		style="?android:attr/progressBarStyle"
		android:layout_width="32dp"
		android:layout_height="32dp"
		android:layout_marginStart="8dp"
		android:layout_marginEnd="8dp"
		app:layout_constraintBottom_toTopOf="@+id/loadingMessage"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintHorizontal_bias="0.5"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toTopOf="parent"
		app:layout_constraintVertical_chainStyle="packed" />

	<androidx.appcompat.widget.AppCompatTextView
		android:id="@+id/loadingMessage"
		android:layout_width="wrap_content"
		android:layout_height="wrap_content"
		android:layout_marginStart="8dp"
		android:layout_marginTop="8dp"
		android:layout_marginEnd="8dp"
		android:layout_marginBottom="8dp"
		android:fontFamily="@font/roboto"
		android:text="@string/calculating_please_wait_"
		android:textSize="16sp"
		app:layout_constraintBottom_toBottomOf="parent"
		app:layout_constraintEnd_toEndOf="parent"
		app:layout_constraintStart_toStartOf="parent"
		app:layout_constraintTop_toBottomOf="@+id/progressBar"
		app:layout_constraintVertical_chainStyle="packed" />

</androidx.constraintlayout.widget.ConstraintLayout>